Bug 1079757 - [glibc2.27] postgresql10 fails to build
[glibc2.27] postgresql10 fails to build
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Reinhard Max
E-mail List
:
Depends on:
Blocks: 1079753
  Show dependency treegraph
 
Reported: 2018-02-07 08:31 UTC by Dominique Leuenberger
Modified: 2020-08-13 16:05 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2018-02-07 08:31:19 UTC
openSUSE Factory is in progress of merging GLIBC 2.27 - postgresql10 is amongst the packages failing to build

[  186s] copy_fetch.c:159:1: error: conflicting types for 'copy_file_range'
[  186s]  copy_file_range(const char *path, off_t begin, off_t end, bool trunc)
[  186s]  ^~~~~~~~~~~~~~~
[  186s] In file included from copy_fetch.c:15:0:
[  186s] /usr/include/unistd.h:1110:9: note: previous declaration of 'copy_file_range' was here
[  186s]  ssize_t copy_file_range (int __infd, __off64_t *__pinoff,
[  186s]          ^~~~~~~~~~~~~~~

Full log at https://build.opensuse.org/package/live_build_log/openSUSE:Factory:Staging:C/postgresql10/standard/x86_64
Comment 1 Dominique Leuenberger 2018-02-07 13:34:12 UTC
The same issue happens with the older pgsql packages in Tumbleweed; do you want separate bugs for all of them?
Comment 2 Reinhard Max 2018-02-07 14:14:17 UTC
One bug report is enough.

There is a patchlevel update for all versions around the corner, so I'll have to touch the packages soon anyway. Either the update will fix the glibc issue already, or I'll take care of it along the way.
Comment 3 Reinhard Max 2018-02-09 09:14:03 UTC
Yep, yesterday's PostgreSQL updates already contain a fix for this:

--- snip ---
Rename pg_rewind's copy_file_range function to avoid conflict with new Linux system call of that name (Andres Freund)

This change prevents build failures with newer glibc versions.
--- snap ---
Comment 4 Reinhard Max 2018-02-09 13:05:28 UTC
Done.
Comment 5 Swamp Workflow Management 2018-02-09 13:40:24 UTC
This is an autogenerated message for OBS integration:
This bug (1079757) was mentioned in
https://build.opensuse.org/request/show/574648 Factory / postgresql93
https://build.opensuse.org/request/show/574649 Factory / postgresql94
https://build.opensuse.org/request/show/574651 Factory / postgresql95
https://build.opensuse.org/request/show/574652 Factory / postgresql96
https://build.opensuse.org/request/show/574653 Factory / postgresql10
Comment 7 Swamp Workflow Management 2018-02-21 13:40:31 UTC
This is an autogenerated message for OBS integration:
This bug (1079757) was mentioned in
https://build.opensuse.org/request/show/578690 42.3 / postgresql95
Comment 8 Swamp Workflow Management 2018-02-22 23:09:30 UTC
openSUSE-SU-2018:0529-1: An update that solves 6 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1051684,1051685,1053259,1067841,1067844,1077983,1079757
CVE References: CVE-2017-15098,CVE-2017-15099,CVE-2017-7546,CVE-2017-7547,CVE-2017-7548,CVE-2018-1053
Sources used:
openSUSE Leap 42.3 (src):    postgresql95-9.5.11-2.3.1, postgresql95-libs-9.5.11-2.3.1
Comment 9 Swamp Workflow Management 2019-02-27 21:00:16 UTC
This is an autogenerated message for OBS integration:
This bug (1079757) was mentioned in
https://build.opensuse.org/request/show/679960 Factory / postgresql10